import { i18n } from "i18next";
import { EventTrackerFunction } from "../types";
export declare type FallbackKnownMessages = "error401" | "error403" | "error404" | "error500" | "error503" | "errorUnsupportedBrowser" | "ErrorNoEntitlement" | "ConnectFailed" | "ConfigFailed" | "MaintenanceMode" | "AuthFailed" | "errorDefault";
interface FallbackProps<T> {
    translate?: boolean;
    message?: FallbackKnownMessages | string;
    className?: string;
    eventTracker?: EventTrackerFunction<T>;
    eventTitle?: T;
    withHelmet?: boolean;
    alternateI18n?: i18n;
}
export declare const Fallback: <T>(props: FallbackProps<T>) => JSX.Element;
export {};
