import { Component } from "react";
import { EventTrackerFunction } from "..";
import { Fallback } from "./Fallback";
interface Props {
    Fallback?: typeof Fallback;
    eventTracker?: EventTrackerFunction;
    eventTitle?: string;
}
export declare class ErrorBoundary extends Component<Props, {
    fallback: boolean;
    error: Error;
}> {
    constructor(props: Props);
    static getDerivedStateFromError(e: Error): {
        fallback: boolean;
        error: Error;
    };
    render(): JSX.Element;
}
export {};
